| Home | Libraries | People | FAQ | More

## Function inplace

boost::mpi::inplace — Wrapp a input data to indicate that it can be overriden with an ouput value.

## Synopsis

    // In header: <boost/mpi/inplace.hpp>

    template<typename T> inplace_t< T > inplace(T & inout);
    template<typename T> inplace_t< T * > inplace(T * inout);

## Description

Parameters:

`inout` | the contributing input value, it will be overriden with the output value where one is expected. If it is a pointer, the number of elements will be provided separatly.

Returns: | The wrapped value or pointer.